package com.cretin.webservices.helper

object PlatformHelper {

    data class Platform(val name:String,val enable:Boolean)

    val platformMap = mutableMapOf<String,Platform>().apply {
        put("android",Platform("Android",true))
        put("ios",Platform("iOS",true))
        put("server-php-laravel",Platform("后端PHP-laravel",true))
        put("web-vue-i18n",Platform("前端vue-i18n",true))
        put("web-mini",Platform("前端小程序",false))
        put("flutter-i18n",Platform("Flutter-i18n",true))
    }
}

enum class PLATFORM(val type: String){
    TYPE_ANDROID("android"),
    TYPE_IOS("ios"),
    TYPE_SERVER_PHP_LARAVEL("server-php-laravel"),
    TYPE_WEB_VUE_I18N("web-vue-i18n"),
    TYPE_WEB_MINI("web-mini"),
    TYPE_FLUTTER_I18N("flutter-i18n"),
}